LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | List of all members
SynchronousFrameLoader Service Referencepublished

derivations of this abstract service are used to load components into Frames of the environment More...

`import"SynchronousFrameLoader.idl";`

Inheritance diagram for SynchronousFrameLoader:

## Exported Interfaces
interface | XSynchronousFrameLoader
| support synchronous loading of component More...
interface | com::sun::star::lang::XInitialization
| support initialization of loader with its own configuration! More...
interface | com::sun::star::container::XNamed
| provides access to the internal name of this frame loader More...

## Additional Inherited Members
Public Member Functions inherited from XSynchronousFrameLoader
boolean | load ([in] sequence< com::sun::star::beans::PropertyValue > Descriptor, [in] XFrame Frame)
| starts the loading of the specified resource into the specified Frame. More...
void | cancel ()
| cancels the loading process. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...
Protected Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...

## Detailed Description

derivations of this abstract service are used to load components into Frames of the environment

Concrete implementations of this service register, for example, for file name extensions or MIME types to load appropriate components. The components loaded are at least Controller. Instead of service FrameLoader this one use synchronous processes to load the component.

See also
  FrameLoader

Developers Guide
  Office Development - Integrating Import and Export Filters

## Exported Interfaces

## ◆ com::sun::star::container::XNamed

interface com::sun::star::container::XNamed
| optional

provides access to the internal name of this frame loader

The internal name is a part of his configuration and will be passed by the FrameLoaderFactory after creation if optional interface com::sun::star::lang::XInitialization is supported. Value of function com::sun::star::container::XNamed::getName() can be used on service FrameLoaderFactory to get further information about this loader. Setting of this name by calling com::sun::star::container::XNamed::setName() must be forwarded to same factory service. He should decide, if it's allowed or not. The reason: prevent code against name ambiguities.

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization
| optional

support initialization of loader with its own configuration!

Concrete implementations should use it to get her own configuration data directly after creation by the FrameLoaderFactory. Otherwise they must use normal configuration API to do so.

## ◆ XSynchronousFrameLoader

interface XSynchronousFrameLoader

support synchronous loading of component

The documentation for this service was generated from the following file:

- com/sun/star/frame/SynchronousFrameLoader.idl